Name:           gattlib
Version:        0.7.1
Release:        %autorelease
Summary:        Library to access GATT information from BLE devices

# See "License" in README.md for the breakdown
License:        BSD-3-Clause AND GPL-2.0-or-later
URL:            https://github.com/labapart/gattlib
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# Add missing include
Patch:          https://github.com/labapart/gattlib/pull/278.patch

BuildRequires:  chrpath
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  sed

BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(readline)

%description
GattLib is a library used to access Generic Attribute Profile (GATT) protocol
of BLE (Bluetooth Low Energy) devices. It has been introduced to allow to build
applications that could easily communicate with BLE devices.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        examples
Summary:        Example programs using %{name}

%description    examples
This package provides various demonstration programs that leverage %{name}.

%prep
%autosetup -p1

# Set shared library version
sed -i {bluez,dbus}/CMakeLists.txt \
  -e '/add_library(%{name}/aset_target_properties(%{name} PROPERTIES VERSION %{version})'

%build
%cmake
%cmake_build

%install
%cmake_install

# Install the examples
for p in %{_vpath_builddir}/examples/*; do
  install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name} \
    "${p}/$(basename "$p")"
done
chrpath -d %{buildroot}%{_libexecdir}/%{name}/*

%files
# license texts are missing: https://github.com/labapart/gattlib/issues/128
%doc README.md
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files examples
%{_libexecdir}/%{name}/

%changelog
%autochangelog
